GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
gdcm::ServiceClassUser Class Reference

ServiceClassUser. More...

`#include <gdcmServiceClassUser.h>`

Inheritance diagram for gdcm::ServiceClassUser:
[legend]
Collaboration diagram for gdcm::ServiceClassUser:
[legend]

## Public Member Functions

| ServiceClassUser ()
| ~ServiceClassUser ()
const char * | GetAETitle () const
const char * | GetCalledAETitle () const
time_t | GetTimeout () const
bool | InitializeConnection ()
bool | IsPresentationContextAccepted (const PresentationContext &pc) const
| Return if the passed in presentation was accepted during association negotiation.
bool | SendEcho ()
| C-ECHO.
bool | SendFind (const BaseRootQuery *query, std::vector< DataSet > &retDatasets)
| C-FIND a query, return result are in retDatasets.
bool | SendMove (const BaseRootQuery *query, const char *outputdir)
| Execute a C-MOVE, based on query, return files are written in outputdir.
bool | SendMove (const BaseRootQuery *query, std::vector< DataSet > &retDatasets)
| Execute a C-MOVE, based on query, returned dataset are Implicit.
bool | SendMove (const BaseRootQuery *query, std::vector< File > &retFile)
| Execute a C-MOVE, based on query, returned Files are stored in vector.
bool | SendStore (const char *filename)
| Execute a C-STORE on file on disk, named filename.
bool | SendStore (File const &file)
bool | SendStore (DataSet const &ds)
| Execute a C-STORE on a DataSet, the transfer syntax used will be Implicit.
void | SetAETitle (const char *aetitle)
| set calling ae title
void | SetCalledAETitle (const char *aetitle)
| set called ae title
void | SetHostname (const char *hostname)
| Set the name of the called hostname (hostname or IP address)
void | SetPort (uint16_t port)
| Set port of remote host (called application)
void | SetPortSCP (uint16_t portscp)
| Set the port for any incoming C-STORE-SCP operation (typically in a return of C-MOVE)
void | SetPresentationContexts (std::vector< PresentationContext > const &pcs)
| Set the Presentation Context used for the Association.
void | SetTimeout (time_t t)
| set/get Timeout
bool | StartAssociation ()
| Start the association. Need to call SetPresentationContexts before.
bool | StopAssociation ()
| Stop the running association.
Public Member Functions inherited from gdcm::Subject
| Subject ()
| ~Subject ()
unsigned long | AddObserver (const Event &event, Command *)
unsigned long | AddObserver (const Event &event, Command *) const
Command * | GetCommand (unsigned long tag)
bool | HasObserver (const Event &event) const
void | InvokeEvent (const Event &)
void | InvokeEvent (const Event &) const
void | RemoveAllObservers ()
void | RemoveObserver (unsigned long tag)
Public Member Functions inherited from gdcm::Object
| Object ()
| Object (const Object &)
| Special requirement for copy/cstor, assigment operator.
virtual | ~Object ()
void | operator= (const Object &)
virtual void | Print (std::ostream &) const

## Additional Inherited Members

Protected Member Functions inherited from gdcm::Object
void | Register ()
void | UnRegister ()

## Detailed Description

ServiceClassUser.

Examples:
  CStoreQtProgress.cxx.

## Constructor & Destructor Documentation

gdcm::ServiceClassUser::ServiceClassUser | ( |  | ) |

Construct a SCU with default:

- hostname = localhost
- port = 104

gdcm::ServiceClassUser::~ServiceClassUser | ( |  | ) |

## Member Function Documentation

const char* gdcm::ServiceClassUser::GetAETitle | ( |  | ) | const

const char* gdcm::ServiceClassUser::GetCalledAETitle | ( |  | ) | const

time_t gdcm::ServiceClassUser::GetTimeout | ( |  | ) | const

bool gdcm::ServiceClassUser::InitializeConnection | ( |  | ) |

Will try to connect This will setup the actual timeout used during the whole connection time. Need to call SetTimeout first

Examples:
  CStoreQtProgress.cxx.

bool gdcm::ServiceClassUser::IsPresentationContextAccepted | ( | const PresentationContext & | pc | ) | const

Return if the passed in presentation was accepted during association negotiation.

bool gdcm::ServiceClassUser::SendEcho | ( |  | ) |

C-ECHO.

bool gdcm::ServiceClassUser::SendFind | ( | const BaseRootQuery * | query,
|  | std::vector< DataSet > & | retDatasets
| ) |  |

C-FIND a query, return result are in retDatasets.

bool gdcm::ServiceClassUser::SendMove | ( | const BaseRootQuery * | query,
|  | const char * | outputdir
| ) |  |

Execute a C-MOVE, based on query, return files are written in outputdir.

bool gdcm::ServiceClassUser::SendMove | ( | const BaseRootQuery * | query,
|  | std::vector< DataSet > & | retDatasets
| ) |  |

Execute a C-MOVE, based on query, returned dataset are Implicit.

bool gdcm::ServiceClassUser::SendMove | ( | const BaseRootQuery * | query,
|  | std::vector< File > & | retFile
| ) |  |

Execute a C-MOVE, based on query, returned Files are stored in vector.

bool gdcm::ServiceClassUser::SendStore | ( | const char * | filename | ) |

Execute a C-STORE on file on disk, named filename.

Examples:
  CStoreQtProgress.cxx.

bool gdcm::ServiceClassUser::SendStore | ( | File const & | file | ) |

Execute a C-STORE on a File, the transfer syntax used for the query is based on the file.

bool gdcm::ServiceClassUser::SendStore | ( | DataSet const & | ds | ) |

Execute a C-STORE on a DataSet, the transfer syntax used will be Implicit.

void gdcm::ServiceClassUser::SetAETitle | ( | const char * | aetitle | ) |

set calling ae title

void gdcm::ServiceClassUser::SetCalledAETitle | ( | const char * | aetitle | ) |

set called ae title

Examples:
  CStoreQtProgress.cxx.

void gdcm::ServiceClassUser::SetHostname | ( | const char * | hostname | ) |

Set the name of the called hostname (hostname or IP address)

Examples:
  CStoreQtProgress.cxx.

void gdcm::ServiceClassUser::SetPort | ( | uint16_t | port | ) |

Set port of remote host (called application)

Examples:
  CStoreQtProgress.cxx.

void gdcm::ServiceClassUser::SetPortSCP | ( | uint16_t | portscp | ) |

Set the port for any incoming C-STORE-SCP operation (typically in a return of C-MOVE)

void gdcm::ServiceClassUser::SetPresentationContexts | ( | std::vector< PresentationContext > const & | pcs | ) |

Set the Presentation Context used for the Association.

Examples:
  CStoreQtProgress.cxx.

void gdcm::ServiceClassUser::SetTimeout | ( | time_t | t | ) |

set/get Timeout

Examples:
  CStoreQtProgress.cxx.

bool gdcm::ServiceClassUser::StartAssociation | ( |  | ) |

Start the association. Need to call SetPresentationContexts before.

Examples:
  CStoreQtProgress.cxx.

bool gdcm::ServiceClassUser::StopAssociation | ( |  | ) |

Stop the running association.

Examples:
  CStoreQtProgress.cxx.

The documentation for this class was generated from the following file:

- gdcmServiceClassUser.h